Skip to main content
`Ctrl`+`K`

# MatLMVMDenseType

Memory storage strategy for dense variants of `MATLMVM`.

## Synopsis

    typedef enum {
      MAT_LMVM_DENSE_REORDER,
      MAT_LMVM_DENSE_INPLACE
    } MatLMVMDenseType;

## Values

- `MAT_LMVM_DENSE_REORDER` - reorders memory to minimize kernel launch

- `MAT_LMVM_DENSE_INPLACE` - computes inplace to minimize memory movement

## See Also

Matrices, `MatLMVM`, `MatLMVMDenseSetType()`

## Level

intermediate

## Location

include/petscksp.h

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages